Finalization Pharmadex for Mozambique, Bangladesh, Namibia, Ethiopia - Feature #2535

NA Do not allow start review before Application fee is received

03/10/2017 04:25 AM - Oleksii Kurasov

Status: Closed
Priority: Urgent
Assignee: Oleksii Kurasov
Category:

Target version:

Start date:
Due date:

% Done:

Estimated time:

Spent time:

03/10/2017
03/16/2017
0%

0.00 hour
0.00 hour

Description

For Applicant (agent) users all submitted application should has visible tabs:

Application information
Verification

Screening

Letters

+ Attachments

+ new tab "Application Fee"

The new tab "Application Fee" should allow input application fee to ProdApplication fields feeAMT,

feeSubmittedDt,receiptNo,bankName

Tab Assessment should be modified following way:

Button "Assign Reviewers" should be hidden when application fee is not received (field feeReceived in ProdApplications)

Add new Yes/No button "Fee Received" to modify feeReceived field in ProdApplication like similar button on Verification tab

Write to timeline and regstate new state "Application Fee"

History

#1 - 03/10/2017 04:45 AM - Oleksii Kurasov
- Parent task deleted (#2530)

#2 - 03/14/2017 02:19 PM - Oleksii Kurasov
- Due date changed from 03/14/2017 to 03/16/2017

#3 - 03/16/2017 01:07 PM - Oleksii Kurasov

- Description updated

#4 - 03/17/2017 10:04 AM - Oleksii Kurasov

- Description updated

#5 - 03/17/2017 10:55 AM - Oleksii Kurasov

- Status changed from New to In Progress

#6 - 03/20/2017 10:42 AM - Oleksii Kurasov

- Status changed from In Progress to Resolved

#7 - 03/20/2017 02:23 PM - Oleksii Kurasov

- Status changed from Resolved to Feedback

core and namibia should be updated from repo

I've replaced app fee to dilogue

Make update fields after dialog box

Remove default value for fee date, should be empty

06/07/2025

1/2




#8 - 03/21/2017 04:43 AM - Oleksii Kurasov

- Status changed from Feedback to Resolved

#9 - 03/21/2017 12:02 PM - Oleksii Kurasov

- Status changed from Resolved to Closed
